%define pypi_name	dulwich

%bcond_with doc

Name:		python-%{pypi_name}
Version:	0.20.14
Release:	%mkrel 1
Summary:	Python implementation of the Git file formats and protocols
License:	GPLv2
Group:		Development/Python
Url:		https://pypi.org/project/dulwich
Source0:	%{pypi_source}
BuildRequires:	git-core

# docs
%if %{with doc}
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(sphinx-epytext)
BuildRequires:	python3dist(paramiko)
BuildRequires:	python3dist(gevent)
BuildRequires:	python3dist(fastimport)
BuildRequires:	python3dist(geventhttpclient)
%endif

%description
Dulwich is a pure-Python implementation of the Git file formats and protocols.

%package -n	python3-%{pypi_name}
Summary:	Python 3 implementation of the Git file formats and protocols
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(nose)
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-%{pypi_name} < 0.19.13

%description -n	python3-%{pypi_name}
Dulwich is a pure-Python implementation of the Git file formats and protocols.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# docs
%if %{with doc}
%__make html -C docs
# doc build leftovers
rm -rf docs/build/html/.buildinfo
%endif

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING
%doc NEWS README.rst
%if %{with doc}
%doc docs/build/html
%endif
%{_bindir}/dul-receive-pack
%{_bindir}/dul-upload-pack
%{_bindir}/dulwich
%{python3_sitearch}/%{pypi_name}*
%exclude %{python3_sitearch}/%{pypi_name}/tests*
%exclude %{python3_sitearch}/docs*


%changelog
* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.20.14-1.mga8
+ Revision: 1649876
- new version 0.20.14

* Sun Nov 08 2020 guillomovitch <guillomovitch> 0.20.11-1.mga8
+ Revision: 1643741
- new version 0.20.11

* Mon Sep 14 2020 guillomovitch <guillomovitch> 0.20.6-1.mga8
+ Revision: 1626337
- new version 0.20.6

* Wed Jun 10 2020 daviddavid <daviddavid> 0.20.2-1.mga8
+ Revision: 1591649
- new version: 0.20.2

* Tue Apr 28 2020 daviddavid <daviddavid> 0.19.16-1.mga8
+ Revision: 1572821
- new version: 0.19.16

* Thu Feb 20 2020 umeabot <umeabot> 0.19.15-2.mga8
+ Revision: 1546121
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.19.15-1.mga8
+ Revision: 1486040
- new version: 0.19.15

* Fri Jan 31 2020 daviddavid <daviddavid> 0.19.14-1.mga8
+ Revision: 1485940
- new version: 0.19.14

* Thu Sep 05 2019 wally <wally> 0.19.13-1.mga8
+ Revision: 1437564
- new version 0.19.13
- drop python2 support
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 0.19.12-1.mga8
+ Revision: 1429727
- new version 0.19.12
- update sphinx BRs

* Sun Apr 21 2019 wally <wally> 0.19.11-1.mga7
+ Revision: 1394312
- new version 0.19.11

* Mon Jan 07 2019 kekepower <kekepower> 0.19.9-1.mga7
+ Revision: 1351279
- Update to version 0.19.9

* Sun Sep 23 2018 umeabot <umeabot> 0.19.2-2.mga7
+ Revision: 1300471
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.19.2-1.mga7
+ Revision: 1222030
- New version 0.19.2 w hg-git fix

* Thu Apr 05 2018 kekepower <kekepower> 0.19.0-1.mga7
+ Revision: 1215384
- Update to version 0.19.0
- Renamed python-dulwich to python2-dulwich
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.12.0-2.mga7
+ Revision: 1135407
- Rebuild for python 3.6

* Fri Feb 05 2016 daviddavid <daviddavid> 0.12.0-1.mga6
+ Revision: 939302
- new version: 0.12.0
- add python3 package

* Fri Oct 16 2015 philippem <philippem> 0.11.2-1.mga6
+ Revision: 892207
- update to 0.11.2

* Tue Mar 24 2015 philippem <philippem> 0.10.0-2.mga5
+ Revision: 819178
- update to 0.10.0 fix  CVE-2014-9706 and CVE-2015-0838 mga#15558

* Mon Mar 23 2015 philippem <philippem> 0.9.9-2.mga5
+ Revision: 819136
- update to 0.9.9 fix  CVE-2014-9706 and CVE-2015-0838 mga#15558

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-4.mga5
+ Revision: 740682
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.7-3.mga5
+ Revision: 728379
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-2.mga5
+ Revision: 688011
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 0.9.7-1.mga5
+ Revision: 638933
- update to 0.9.7
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Mar 05 2014 philippem <philippem> 0.9.5-1.mga5
+ Revision: 600134
- Update to 0.9.5

* Tue Oct 22 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 543355
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.0-2.mga4
+ Revision: 498454
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.9.0-1.mga4
+ Revision: 450242
- Update to 0.9.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-2.mga3
+ Revision: 378773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 0.8.5-1.mga3
+ Revision: 281123
- Update to 0.8.5.

* Sun Jan 22 2012 lebedov <lebedov> 0.8.3-1.mga2
+ Revision: 199653
- Update to 0.8.3.

* Mon Dec 19 2011 lebedov <lebedov> 0.8.2-1.mga2
+ Revision: 184080
- Update to 0.8.2.

* Wed Nov 30 2011 lebedov <lebedov> 0.8.1-1.mga2
+ Revision: 174435
- Update to 0.8.1.

* Tue Sep 20 2011 lebedov <lebedov> 0.8.0-1.mga2
+ Revision: 146150
- imported package python-dulwich

